View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/python-numpy
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
importer/debian/dsc 2018-11-12 13:33:43 UTC 2018-11-12
DSC file for 1:1.15.4-1

Author: Ubuntu Git Importer
Author Date: 2018-11-12 13:33:43 UTC

DSC file for 1:1.15.4-1

applied/debian/sid 2018-11-12 10:47:29 UTC 2018-11-12
Import patches-applied version 1:1.15.4-1 to applied/debian/sid

Author: Sandro Tosi
Author Date: 2018-11-12 00:59:10 UTC

Import patches-applied version 1:1.15.4-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: eab07a8cfd2529f0057d3d19819d7a9065682b00
Unapplied parent: 9bc3635d526a9fc22feba5fe0311e363c009913a

New changelog entries:
  * New upstream release
  * debian/control
    - switch from nose to pytest
    - b-d on libatlas-base-dev
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/copyright
    - add notice for doc/scipy-sphinx-theme/
  * debian/patches/*
    - refresh, drop patch merged upstream
  * debian/rules
    - run tests from debian/, to avoid pytest ImportMismatchError

debian/sid 2018-11-12 10:47:29 UTC 2018-11-12
Import patches-unapplied version 1:1.15.4-1 to debian/sid

Author: Sandro Tosi
Author Date: 2018-11-12 00:59:10 UTC

Import patches-unapplied version 1:1.15.4-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 1eeadcfb8d37f11fdbf0be31389215cd4d95a490

New changelog entries:
  * New upstream release
  * debian/control
    - switch from nose to pytest
    - b-d on libatlas-base-dev
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/copyright
    - add notice for doc/scipy-sphinx-theme/
  * debian/patches/*
    - refresh, drop patch merged upstream
  * debian/rules
    - run tests from debian/, to avoid pytest ImportMismatchError

importer/ubuntu/dsc 2018-11-03 12:17:06 UTC 2018-11-03
DSC file for 1:1.14.5-1ubuntu7

Author: Ubuntu Git Importer
Author Date: 2018-11-03 12:17:06 UTC

DSC file for 1:1.14.5-1ubuntu7

ubuntu/disco-devel 2018-11-03 12:08:41 UTC 2018-11-03
Import patches-unapplied version 1:1.14.5-1ubuntu7 to ubuntu/disco-proposed

Author: Matthias Klose
Author Date: 2018-11-03 11:52:27 UTC

Import patches-unapplied version 1:1.14.5-1ubuntu7 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: 4fc70c1680908249f63a4f8e05ce1f59d5e36a42

New changelog entries:
  * No-change rebuild to build without python3.6 support.

ubuntu/disco-proposed 2018-11-03 12:08:41 UTC 2018-11-03
Import patches-unapplied version 1:1.14.5-1ubuntu7 to ubuntu/disco-proposed

Author: Matthias Klose
Author Date: 2018-11-03 11:52:27 UTC

Import patches-unapplied version 1:1.14.5-1ubuntu7 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: 4fc70c1680908249f63a4f8e05ce1f59d5e36a42

New changelog entries:
  * No-change rebuild to build without python3.6 support.

ubuntu/devel 2018-11-03 12:08:41 UTC 2018-11-03
Import patches-unapplied version 1:1.14.5-1ubuntu7 to ubuntu/disco-proposed

Author: Matthias Klose
Author Date: 2018-11-03 11:52:27 UTC

Import patches-unapplied version 1:1.14.5-1ubuntu7 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: 4fc70c1680908249f63a4f8e05ce1f59d5e36a42

New changelog entries:
  * No-change rebuild to build without python3.6 support.

ubuntu/disco 2018-11-03 12:08:41 UTC 2018-11-03
Import patches-unapplied version 1:1.14.5-1ubuntu7 to ubuntu/disco-proposed

Author: Matthias Klose
Author Date: 2018-11-03 11:52:27 UTC

Import patches-unapplied version 1:1.14.5-1ubuntu7 to ubuntu/disco-proposed

Imported using git-ubuntu import.

Changelog parent: 4fc70c1680908249f63a4f8e05ce1f59d5e36a42

New changelog entries:
  * No-change rebuild to build without python3.6 support.

ubuntu/cosmic-proposed 2018-10-15 16:48:18 UTC 2018-10-15
Import patches-unapplied version 1:1.14.5-1ubuntu4 to ubuntu/cosmic-proposed

Author: Matthias Klose
Author Date: 2018-10-15 11:51:23 UTC

Import patches-unapplied version 1:1.14.5-1ubuntu4 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 33b1d348fb3af08c3423bdd6700134fa82c60b82

New changelog entries:
  * Don't add an explicit dependency on python3.7, the non-default
    python3 version. LP: #1789199.

ubuntu/cosmic-devel 2018-10-15 16:48:18 UTC 2018-10-15
Import patches-unapplied version 1:1.14.5-1ubuntu4 to ubuntu/cosmic-proposed

Author: Matthias Klose
Author Date: 2018-10-15 11:51:23 UTC

Import patches-unapplied version 1:1.14.5-1ubuntu4 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 33b1d348fb3af08c3423bdd6700134fa82c60b82

New changelog entries:
  * Don't add an explicit dependency on python3.7, the non-default
    python3 version. LP: #1789199.

ubuntu/cosmic 2018-10-15 16:48:18 UTC 2018-10-15
Import patches-unapplied version 1:1.14.5-1ubuntu4 to ubuntu/cosmic-proposed

Author: Matthias Klose
Author Date: 2018-10-15 11:51:23 UTC

Import patches-unapplied version 1:1.14.5-1ubuntu4 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: 33b1d348fb3af08c3423bdd6700134fa82c60b82

New changelog entries:
  * Don't add an explicit dependency on python3.7, the non-default
    python3 version. LP: #1789199.

debian/buster 2018-06-13 04:38:52 UTC 2018-06-13
Import patches-unapplied version 1:1.14.5-1 to debian/sid

Author: Sandro Tosi
Author Date: 2018-06-12 23:33:00 UTC

Import patches-unapplied version 1:1.14.5-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c2698c486dee5c1a83d2b2a4d65c49d7f074f773

New changelog entries:
  * New upstream release

applied/debian/buster 2018-06-13 04:38:52 UTC 2018-06-13
Import patches-applied version 1:1.14.5-1 to applied/debian/sid

Author: Sandro Tosi
Author Date: 2018-06-12 23:33:00 UTC

Import patches-applied version 1:1.14.5-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 4922f07a7e1c98292aafdfe8b9799515e3b9e1a1
Unapplied parent: ce887b109114906442c687be496b4c9f15889bc8

New changelog entries:
  * New upstream release

importer/ubuntu/pristine-tar 2018-04-02 22:44:52 UTC 2018-04-02
pristine-tar data for python-numpy_1.13.3.orig.tar.gz

Author: Ubuntu Git Importer
Author Date: 2018-04-02 22:44:52 UTC

pristine-tar data for python-numpy_1.13.3.orig.tar.gz

importer/debian/pristine-tar 2018-04-02 21:34:06 UTC 2018-04-02
pristine-tar data for python-numpy_1.13.3.orig.tar.gz

Author: Ubuntu Git Importer
Author Date: 2018-04-02 21:34:06 UTC

pristine-tar data for python-numpy_1.13.3.orig.tar.gz

ubuntu/bionic-proposed 2017-12-05 16:28:42 UTC 2017-12-05
Import patches-unapplied version 1:1.13.3-2ubuntu1 to ubuntu/bionic-proposed

Author: Gianfranco Costamagna
Author Date: 2017-12-05 14:32:02 UTC

Import patches-unapplied version 1:1.13.3-2ubuntu1 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: 37c989d33a72e7e7afe6436455d7c2feff9c2eb5

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.

ubuntu/bionic-devel 2017-12-05 16:28:42 UTC 2017-12-05
Import patches-unapplied version 1:1.13.3-2ubuntu1 to ubuntu/bionic-proposed

Author: Gianfranco Costamagna
Author Date: 2017-12-05 14:32:02 UTC

Import patches-unapplied version 1:1.13.3-2ubuntu1 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: 37c989d33a72e7e7afe6436455d7c2feff9c2eb5

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.

ubuntu/bionic 2017-12-05 16:28:42 UTC 2017-12-05
Import patches-unapplied version 1:1.13.3-2ubuntu1 to ubuntu/bionic-proposed

Author: Gianfranco Costamagna
Author Date: 2017-12-05 14:32:02 UTC

Import patches-unapplied version 1:1.13.3-2ubuntu1 to ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: 37c989d33a72e7e7afe6436455d7c2feff9c2eb5

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.

ubuntu/artful-proposed 2017-09-15 12:28:47 UTC 2017-09-15
Import patches-unapplied version 1:1.12.1-3.1ubuntu4 to ubuntu/artful-proposed

Author: Matthias Klose
Author Date: 2017-09-15 12:19:29 UTC

Import patches-unapplied version 1:1.12.1-3.1ubuntu4 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: a49ac90a4a166cdf00055a5e3148bfcb45362f1a

New changelog entries:
  * Fix autopkg test dependencies.

ubuntu/artful 2017-09-15 12:28:47 UTC 2017-09-15
Import patches-unapplied version 1:1.12.1-3.1ubuntu4 to ubuntu/artful-proposed

Author: Matthias Klose
Author Date: 2017-09-15 12:19:29 UTC

Import patches-unapplied version 1:1.12.1-3.1ubuntu4 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: a49ac90a4a166cdf00055a5e3148bfcb45362f1a

New changelog entries:
  * Fix autopkg test dependencies.

ubuntu/artful-devel 2017-09-15 12:28:47 UTC 2017-09-15
Import patches-unapplied version 1:1.12.1-3.1ubuntu4 to ubuntu/artful-proposed

Author: Matthias Klose
Author Date: 2017-09-15 12:19:29 UTC

Import patches-unapplied version 1:1.12.1-3.1ubuntu4 to ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: a49ac90a4a166cdf00055a5e3148bfcb45362f1a

New changelog entries:
  * Fix autopkg test dependencies.

applied/debian/stretch 2017-05-28 10:20:00 UTC 2017-05-28
Import patches-applied version 1:1.12.1-3 to applied/debian/sid

Author: Sandro Tosi
Author Date: 2017-05-27 23:44:59 UTC

Import patches-applied version 1:1.12.1-3 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: c3292b84b842e2b15bbbb5bb19a3d88c8547035d
Unapplied parent: 5b4e3af791bb8a28cdb4b48890a155f7a60202ed

New changelog entries:
  * debian/patches/0007-BUG-Don-t-signal-FP-exceptions-in-np.absolute.patch
    - fix RuntimeWarning on numpy.abs(numpy.nan) on some archs; Closes: #863192

debian/stretch 2017-05-28 10:20:00 UTC 2017-05-28
Import patches-unapplied version 1:1.12.1-3 to debian/sid

Author: Sandro Tosi
Author Date: 2017-05-27 23:44:59 UTC

Import patches-unapplied version 1:1.12.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f8ea882cb4c460bd047a525575431d1d0dad8ca9

New changelog entries:
  * debian/patches/0007-BUG-Don-t-signal-FP-exceptions-in-np.absolute.patch
    - fix RuntimeWarning on numpy.abs(numpy.nan) on some archs; Closes: #863192

ubuntu/zesty-devel 2017-04-05 10:28:32 UTC 2017-04-05
Import patches-unapplied version 1:1.12.1-1ubuntu1 to ubuntu/zesty-proposed

Author: Graham Inggs
Author Date: 2017-04-05 09:14:10 UTC

Import patches-unapplied version 1:1.12.1-1ubuntu1 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 6080424874a129f13e0c5c7a5d012cd1bbc2551b

New changelog entries:
  * Merge with Debian unstable, remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

ubuntu/zesty 2017-04-05 10:28:32 UTC 2017-04-05
Import patches-unapplied version 1:1.12.1-1ubuntu1 to ubuntu/zesty-proposed

Author: Graham Inggs
Author Date: 2017-04-05 09:14:10 UTC

Import patches-unapplied version 1:1.12.1-1ubuntu1 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 6080424874a129f13e0c5c7a5d012cd1bbc2551b

New changelog entries:
  * Merge with Debian unstable, remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

ubuntu/zesty-proposed 2017-04-05 10:28:32 UTC 2017-04-05
Import patches-unapplied version 1:1.12.1-1ubuntu1 to ubuntu/zesty-proposed

Author: Graham Inggs
Author Date: 2017-04-05 09:14:10 UTC

Import patches-unapplied version 1:1.12.1-1ubuntu1 to ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 6080424874a129f13e0c5c7a5d012cd1bbc2551b

New changelog entries:
  * Merge with Debian unstable, remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

ubuntu/yakkety-devel 2016-09-01 14:19:16 UTC 2016-09-01
Import patches-unapplied version 1:1.11.1~rc1-1ubuntu1 to ubuntu/yakkety-prop...

Author: Matthias Klose
Author Date: 2016-09-01 13:49:41 UTC

Import patches-unapplied version 1:1.11.1~rc1-1ubuntu1 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: 101d964fb1ebf90eba7469120953288007a6caef

New changelog entries:
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

ubuntu/yakkety 2016-09-01 14:19:16 UTC 2016-09-01
Import patches-unapplied version 1:1.11.1~rc1-1ubuntu1 to ubuntu/yakkety-prop...

Author: Matthias Klose
Author Date: 2016-09-01 13:49:41 UTC

Import patches-unapplied version 1:1.11.1~rc1-1ubuntu1 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: 101d964fb1ebf90eba7469120953288007a6caef

New changelog entries:
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

ubuntu/yakkety-proposed 2016-09-01 14:19:16 UTC 2016-09-01
Import patches-unapplied version 1:1.11.1~rc1-1ubuntu1 to ubuntu/yakkety-prop...

Author: Matthias Klose
Author Date: 2016-09-01 13:49:41 UTC

Import patches-unapplied version 1:1.11.1~rc1-1ubuntu1 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: 101d964fb1ebf90eba7469120953288007a6caef

New changelog entries:
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

ubuntu/xenial 2016-04-16 22:55:15 UTC 2016-04-16
Import patches-unapplied version 1:1.11.0-1ubuntu1 to ubuntu/xenial-proposed

Author: Matthias Klose
Author Date: 2016-04-16 22:34:03 UTC

Import patches-unapplied version 1:1.11.0-1ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 8e3dfe4159ea1876d0a658c83e62504e0116f32c

New changelog entries:
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

ubuntu/xenial-devel 2016-04-16 22:55:15 UTC 2016-04-16
Import patches-unapplied version 1:1.11.0-1ubuntu1 to ubuntu/xenial-proposed

Author: Matthias Klose
Author Date: 2016-04-16 22:34:03 UTC

Import patches-unapplied version 1:1.11.0-1ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 8e3dfe4159ea1876d0a658c83e62504e0116f32c

New changelog entries:
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

ubuntu/xenial-proposed 2016-04-16 22:55:15 UTC 2016-04-16
Import patches-unapplied version 1:1.11.0-1ubuntu1 to ubuntu/xenial-proposed

Author: Matthias Klose
Author Date: 2016-04-16 22:34:03 UTC

Import patches-unapplied version 1:1.11.0-1ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 8e3dfe4159ea1876d0a658c83e62504e0116f32c

New changelog entries:
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Run the distutils autopkg test with allow-stderr restrictions.
    - Add build-essential to the python2 and python3 autopkg tests; tests
      trying to run a compiler.

debian/experimental 2015-08-13 04:10:32 UTC 2015-08-13
Import patches-unapplied version 1:1.10.0~b1-1 to debian/experimental

Author: Sandro Tosi
Author Date: 2015-08-12 20:51:29 UTC

Import patches-unapplied version 1:1.10.0~b1-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 8837a5dc9a53d6a0695e01f6740ef7536a73ab55

New changelog entries:
  * New upstream beta release
  * debian/patches/*
    - refreshed for new upstream code
  * debian/versions
    - bump API version to 10
  * debian/control
    - require nose version 1.0 or later
  * debian/copyright
    - extend upstream packaging years
    - remove/update copyright notice for updated files

applied/debian/experimental 2015-08-13 04:10:32 UTC 2015-08-13
Import patches-applied version 1:1.10.0~b1-1 to applied/debian/experimental

Author: Sandro Tosi
Author Date: 2015-08-12 20:51:29 UTC

Import patches-applied version 1:1.10.0~b1-1 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: bf3d3560f53e6286d39a13c22da5368219fe1748
Unapplied parent: 990773bff229ec5f64ab03339a5cd0e0edc9cf91

New changelog entries:
  * New upstream beta release
  * debian/patches/*
    - refreshed for new upstream code
  * debian/versions
    - bump API version to 10
  * debian/control
    - require nose version 1.0 or later
  * debian/copyright
    - extend upstream packaging years
    - remove/update copyright notice for updated files

ubuntu/wily 2015-07-17 19:38:36 UTC 2015-07-17
Import patches-unapplied version 1:1.8.2-1ubuntu2 to ubuntu/wily-proposed

Author: Barry Warsaw
Author Date: 2015-07-17 18:52:20 UTC

Import patches-unapplied version 1:1.8.2-1ubuntu2 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 5c6e45fa81e8823ab390c1d06438f59d95670635

New changelog entries:
  * No change rebuild for Python 3.5.

ubuntu/wily-devel 2015-07-17 19:38:36 UTC 2015-07-17
Import patches-unapplied version 1:1.8.2-1ubuntu2 to ubuntu/wily-proposed

Author: Barry Warsaw
Author Date: 2015-07-17 18:52:20 UTC

Import patches-unapplied version 1:1.8.2-1ubuntu2 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 5c6e45fa81e8823ab390c1d06438f59d95670635

New changelog entries:
  * No change rebuild for Python 3.5.

ubuntu/wily-proposed 2015-07-17 19:38:36 UTC 2015-07-17
Import patches-unapplied version 1:1.8.2-1ubuntu2 to ubuntu/wily-proposed

Author: Barry Warsaw
Author Date: 2015-07-17 18:52:20 UTC

Import patches-unapplied version 1:1.8.2-1ubuntu2 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 5c6e45fa81e8823ab390c1d06438f59d95670635

New changelog entries:
  * No change rebuild for Python 3.5.

ubuntu/trusty-updates 2014-09-17 15:03:34 UTC 2014-09-17
Import patches-unapplied version 1:1.8.2-0ubuntu0.1 to ubuntu/trusty-proposed

Author: Julian Taylor
Author Date: 2014-09-15 17:05:27 UTC

Import patches-unapplied version 1:1.8.2-0ubuntu0.1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: c85243005f71e43d62bdbd5d9dc7f9860fe7e302

New changelog entries:
  * New upstream bugfix release (LP: #1358870)

ubuntu/trusty-proposed 2014-09-17 15:03:34 UTC 2014-09-17
Import patches-unapplied version 1:1.8.2-0ubuntu0.1 to ubuntu/trusty-proposed

Author: Julian Taylor
Author Date: 2014-09-15 17:05:27 UTC

Import patches-unapplied version 1:1.8.2-0ubuntu0.1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: c85243005f71e43d62bdbd5d9dc7f9860fe7e302

New changelog entries:
  * New upstream bugfix release (LP: #1358870)

ubuntu/trusty-devel 2014-09-17 15:03:34 UTC 2014-09-17
Import patches-unapplied version 1:1.8.2-0ubuntu0.1 to ubuntu/trusty-proposed

Author: Julian Taylor
Author Date: 2014-09-15 17:05:27 UTC

Import patches-unapplied version 1:1.8.2-0ubuntu0.1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: c85243005f71e43d62bdbd5d9dc7f9860fe7e302

New changelog entries:
  * New upstream bugfix release (LP: #1358870)

debian/jessie 2014-08-26 22:28:51 UTC 2014-08-26
Import patches-unapplied version 1:1.8.2-2 to debian/sid

Author: Julian Taylor
Author Date: 2014-08-24 09:10:34 UTC

Import patches-unapplied version 1:1.8.2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e9594c1c642d49a4a540fb424583004b5e411af8

New changelog entries:
  * ppc64el_cpu_config.patch: add ppc64el support (Closes: #756403)

applied/debian/jessie 2014-08-26 22:28:51 UTC 2014-08-26
Import patches-applied version 1:1.8.2-2 to applied/debian/sid

Author: Julian Taylor
Author Date: 2014-08-24 09:10:34 UTC

Import patches-applied version 1:1.8.2-2 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: a21fc5126ea3ab503de2f76f15be310d5de4f865
Unapplied parent: b67b483f2ef5c8d8b149f53c194297df63e0b6e4

New changelog entries:
  * ppc64el_cpu_config.patch: add ppc64el support (Closes: #756403)

ubuntu/vivid-devel 2014-08-14 20:28:17 UTC 2014-08-14
Import patches-unapplied version 1:1.8.2-1ubuntu1 to ubuntu/utopic-proposed

Author: Julian Taylor
Author Date: 2014-08-14 19:02:00 UTC

Import patches-unapplied version 1:1.8.2-1ubuntu1 to ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: e9594c1c642d49a4a540fb424583004b5e411af8

New changelog entries:
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - debian/patches/ppc64el_cpu_config.patch: Add support for ppc64el.

ubuntu/utopic-proposed 2014-08-14 20:28:17 UTC 2014-08-14
Import patches-unapplied version 1:1.8.2-1ubuntu1 to ubuntu/utopic-proposed

Author: Julian Taylor
Author Date: 2014-08-14 19:02:00 UTC

Import patches-unapplied version 1:1.8.2-1ubuntu1 to ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: e9594c1c642d49a4a540fb424583004b5e411af8

New changelog entries:
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - debian/patches/ppc64el_cpu_config.patch: Add support for ppc64el.

ubuntu/utopic-devel 2014-08-14 20:28:17 UTC 2014-08-14
Import patches-unapplied version 1:1.8.2-1ubuntu1 to ubuntu/utopic-proposed

Author: Julian Taylor
Author Date: 2014-08-14 19:02:00 UTC

Import patches-unapplied version 1:1.8.2-1ubuntu1 to ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: e9594c1c642d49a4a540fb424583004b5e411af8

New changelog entries:
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - debian/patches/ppc64el_cpu_config.patch: Add support for ppc64el.

ubuntu/vivid 2014-08-14 20:28:17 UTC 2014-08-14
Import patches-unapplied version 1:1.8.2-1ubuntu1 to ubuntu/utopic-proposed

Author: Julian Taylor
Author Date: 2014-08-14 19:02:00 UTC

Import patches-unapplied version 1:1.8.2-1ubuntu1 to ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: e9594c1c642d49a4a540fb424583004b5e411af8

New changelog entries:
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - debian/patches/ppc64el_cpu_config.patch: Add support for ppc64el.

ubuntu/utopic 2014-08-14 20:28:17 UTC 2014-08-14
Import patches-unapplied version 1:1.8.2-1ubuntu1 to ubuntu/utopic-proposed

Author: Julian Taylor
Author Date: 2014-08-14 19:02:00 UTC

Import patches-unapplied version 1:1.8.2-1ubuntu1 to ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: e9594c1c642d49a4a540fb424583004b5e411af8

New changelog entries:
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - debian/patches/ppc64el_cpu_config.patch: Add support for ppc64el.

ubuntu/trusty 2014-03-28 11:58:40 UTC 2014-03-28
Import patches-unapplied version 1:1.8.1-1ubuntu1 to ubuntu/trusty-proposed

Author: Matthias Klose
Author Date: 2014-03-28 11:18:54 UTC

Import patches-unapplied version 1:1.8.1-1ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 64869236773ec10d2e05b7679c0025c47f881732

New changelog entries:
  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - debian/patches/ppc64el_cpu_config.patch: Add support for ppc64el.

ubuntu/raring 2013-04-17 23:03:26 UTC 2013-04-17
Import patches-unapplied version 1:1.7.1-1ubuntu1 to ubuntu/raring-proposed

Author: Julian Taylor
Author Date: 2013-04-13 11:01:55 UTC

Import patches-unapplied version 1:1.7.1-1ubuntu1 to ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 50db7e7abc63b79b9a8820ae70775f65af3171d5

New changelog entries:
  * remove unused 21_disable-plot-extension.patch
  * Merge with Debian (LP: #1168652); remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2.
    - Add bin/f2py* to .install files.
    - Add autopkgtests.
    - Fix numpy symlink in python3 debug include directories.
    - Move the debug numpy symlinks into the -dbg packages.

ubuntu/raring-proposed 2013-04-17 23:03:26 UTC 2013-04-17
Import patches-unapplied version 1:1.7.1-1ubuntu1 to ubuntu/raring-proposed

Author: Julian Taylor
Author Date: 2013-04-13 11:01:55 UTC

Import patches-unapplied version 1:1.7.1-1ubuntu1 to ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 50db7e7abc63b79b9a8820ae70775f65af3171d5

New changelog entries:
  * remove unused 21_disable-plot-extension.patch
  * Merge with Debian (LP: #1168652); remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2.
    - Add bin/f2py* to .install files.
    - Add autopkgtests.
    - Fix numpy symlink in python3 debug include directories.
    - Move the debug numpy symlinks into the -dbg packages.

ubuntu/saucy-devel 2013-04-17 23:03:26 UTC 2013-04-17
Import patches-unapplied version 1:1.7.1-1ubuntu1 to ubuntu/raring-proposed

Author: Julian Taylor
Author Date: 2013-04-13 11:01:55 UTC

Import patches-unapplied version 1:1.7.1-1ubuntu1 to ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 50db7e7abc63b79b9a8820ae70775f65af3171d5

New changelog entries:
  * remove unused 21_disable-plot-extension.patch
  * Merge with Debian (LP: #1168652); remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2.
    - Add bin/f2py* to .install files.
    - Add autopkgtests.
    - Fix numpy symlink in python3 debug include directories.
    - Move the debug numpy symlinks into the -dbg packages.

ubuntu/saucy 2013-04-17 23:03:26 UTC 2013-04-17
Import patches-unapplied version 1:1.7.1-1ubuntu1 to ubuntu/raring-proposed

Author: Julian Taylor
Author Date: 2013-04-13 11:01:55 UTC

Import patches-unapplied version 1:1.7.1-1ubuntu1 to ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 50db7e7abc63b79b9a8820ae70775f65af3171d5

New changelog entries:
  * remove unused 21_disable-plot-extension.patch
  * Merge with Debian (LP: #1168652); remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2.
    - Add bin/f2py* to .install files.
    - Add autopkgtests.
    - Fix numpy symlink in python3 debug include directories.
    - Move the debug numpy symlinks into the -dbg packages.

ubuntu/raring-devel 2013-04-17 23:03:26 UTC 2013-04-17
Import patches-unapplied version 1:1.7.1-1ubuntu1 to ubuntu/raring-proposed

Author: Julian Taylor
Author Date: 2013-04-13 11:01:55 UTC

Import patches-unapplied version 1:1.7.1-1ubuntu1 to ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 50db7e7abc63b79b9a8820ae70775f65af3171d5

New changelog entries:
  * remove unused 21_disable-plot-extension.patch
  * Merge with Debian (LP: #1168652); remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2.
    - Add bin/f2py* to .install files.
    - Add autopkgtests.
    - Fix numpy symlink in python3 debug include directories.
    - Move the debug numpy symlinks into the -dbg packages.

debian/wheezy 2013-03-01 16:20:21 UTC 2013-03-01
Import patches-unapplied version 1:1.6.2-1.2 to debian/sid

Author: Sébastien Villemot
Author Date: 2013-02-27 09:33:24 UTC

Import patches-unapplied version 1:1.6.2-1.2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 33c631424774d5cb55e6d582a1c8d3bd105d8717

New changelog entries:
  * Non-maintainer upload.
  * Remove Breaks relationships introduced in previous version. They break
    squeeze -> wheezy upgrades. (Closes: #700718)
  * Install symlinks for Python 3 headers under /usr/include/python3.2mu (resp.
    python3.2dmu) instead of /usr/include/python3.2 (resp. python3.2_d),
    to avoid file versus symlink conflict. (Closes: #700994)

applied/debian/wheezy 2013-03-01 16:20:21 UTC 2013-03-01
Import patches-applied version 1:1.6.2-1.2 to applied/debian/sid

Author: Sébastien Villemot
Author Date: 2013-02-27 09:33:24 UTC

Import patches-applied version 1:1.6.2-1.2 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: aeae0c8ae30ba450c98e62189b836ee926e3ebb4
Unapplied parent: 27814c9d2b7e4a38ce533c5a213f29159e122578

New changelog entries:
  * Non-maintainer upload.
  * Remove Breaks relationships introduced in previous version. They break
    squeeze -> wheezy upgrades. (Closes: #700718)
  * Install symlinks for Python 3 headers under /usr/include/python3.2mu (resp.
    python3.2dmu) instead of /usr/include/python3.2 (resp. python3.2_d),
    to avoid file versus symlink conflict. (Closes: #700994)

ubuntu/quantal-devel 2012-06-04 08:04:04 UTC 2012-06-04
Import patches-unapplied version 1:1.6.2-1ubuntu1 to ubuntu/quantal

Author: Julian Taylor
Author Date: 2012-06-02 16:44:16 UTC

Import patches-unapplied version 1:1.6.2-1ubuntu1 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 547c70a36c054202af3d82fb5086007360bd7660

New changelog entries:
  * remove unused patch debian-changes-1:1.5.1-2ubuntu2
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2
      add bin/f2py* to .install files

ubuntu/quantal 2012-06-04 08:04:04 UTC 2012-06-04
Import patches-unapplied version 1:1.6.2-1ubuntu1 to ubuntu/quantal

Author: Julian Taylor
Author Date: 2012-06-02 16:44:16 UTC

Import patches-unapplied version 1:1.6.2-1ubuntu1 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 547c70a36c054202af3d82fb5086007360bd7660

New changelog entries:
  * remove unused patch debian-changes-1:1.5.1-2ubuntu2
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2
      add bin/f2py* to .install files

ubuntu/precise 2012-03-19 23:04:16 UTC 2012-03-19
Import patches-unapplied version 1:1.6.1-6ubuntu1 to ubuntu/precise

Author: Julian Taylor
Author Date: 2012-03-19 18:38:13 UTC

Import patches-unapplied version 1:1.6.1-6ubuntu1 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 1c38a68e1032bed60533084f11fe50e72604aa86

New changelog entries:
  * Merge from Debian unstable, adds python3 package (LP: #795605, #959588)
    Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2
      add bin/f2py* to .install files
    - keep Replaces: python-numpy (<< 1:1.3.0-4) in python-numpy-dbg
      for lucid upgrades
    - debian/patches/search-multiarch-paths.patch: (LP: #818867)
       add multiarch libdirs to numpy.distutils.system_info

ubuntu/precise-devel 2012-03-19 23:04:16 UTC 2012-03-19
Import patches-unapplied version 1:1.6.1-6ubuntu1 to ubuntu/precise

Author: Julian Taylor
Author Date: 2012-03-19 18:38:13 UTC

Import patches-unapplied version 1:1.6.1-6ubuntu1 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 1c38a68e1032bed60533084f11fe50e72604aa86

New changelog entries:
  * Merge from Debian unstable, adds python3 package (LP: #795605, #959588)
    Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies. This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2
      add bin/f2py* to .install files
    - keep Replaces: python-numpy (<< 1:1.3.0-4) in python-numpy-dbg
      for lucid upgrades
    - debian/patches/search-multiarch-paths.patch: (LP: #818867)
       add multiarch libdirs to numpy.distutils.system_info

ubuntu/oneiric-devel 2011-08-25 23:03:51 UTC 2011-08-25
Import patches-unapplied version 1:1.5.1-2ubuntu2 to ubuntu/oneiric

Author: Matthias Klose
Author Date: 2011-08-25 21:56:45 UTC

Import patches-unapplied version 1:1.5.1-2ubuntu2 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 6689111045ee3a0761422274b3b20ef01419069e

New changelog entries:
  * numpy/distutils/fcompiler/gnu.py: add 'shared' to linker_so. LP: #829488.

ubuntu/oneiric 2011-08-25 23:03:51 UTC 2011-08-25
Import patches-unapplied version 1:1.5.1-2ubuntu2 to ubuntu/oneiric

Author: Matthias Klose
Author Date: 2011-08-25 21:56:45 UTC

Import patches-unapplied version 1:1.5.1-2ubuntu2 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 6689111045ee3a0761422274b3b20ef01419069e

New changelog entries:
  * numpy/distutils/fcompiler/gnu.py: add 'shared' to linker_so. LP: #829488.

ubuntu/natty-devel 2011-02-11 13:05:03 UTC 2011-02-11
Import patches-unapplied version 1:1.5.1-1ubuntu2 to ubuntu/natty

Author: Barry Warsaw
Author Date: 2011-02-10 20:12:43 UTC

Import patches-unapplied version 1:1.5.1-1ubuntu2 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 911b7fe6ba01d361fc9153d4834e1fe0cc3b4750

New changelog entries:
  * debian/rules, debian/control:
    - Re-enable documentation binary package. (LP: #664276)
  * debian/control:
    - Add python-sphinx to Build-Depends since it is required to build the
      documentation.
  * debian/patches/20_disable-plot-extension.patch
    - Disable plot_directive extension, and catch ImportErrors when
      matplotlib cannot be imported, which allows us to remove
      python-matplotlib from dependencies.

ubuntu/natty 2011-02-11 13:05:03 UTC 2011-02-11
Import patches-unapplied version 1:1.5.1-1ubuntu2 to ubuntu/natty

Author: Barry Warsaw
Author Date: 2011-02-10 20:12:43 UTC

Import patches-unapplied version 1:1.5.1-1ubuntu2 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 911b7fe6ba01d361fc9153d4834e1fe0cc3b4750

New changelog entries:
  * debian/rules, debian/control:
    - Re-enable documentation binary package. (LP: #664276)
  * debian/control:
    - Add python-sphinx to Build-Depends since it is required to build the
      documentation.
  * debian/patches/20_disable-plot-extension.patch
    - Disable plot_directive extension, and catch ImportErrors when
      matplotlib cannot be imported, which allows us to remove
      python-matplotlib from dependencies.

debian/squeeze 2010-10-07 21:20:37 UTC 2010-10-07
Import patches-unapplied version 1:1.4.1-5 to debian/sid

Author: Sandro Tosi
Author Date: 2010-10-07 08:19:13 UTC

Import patches-unapplied version 1:1.4.1-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 16abc535fdda22bcb32e8615c0dc31ffd96ba0c6

New changelog entries:
  * debian/patches/10_use_local_python.org_object.inv_sphinx.diff
    - fixed small typo in description
  * debian/patches/changeset_r8364.diff
    - fix memory corruption (double free); thanks to Joseph Barillari for the
      report and to Michael Gilbert for pushing resolution; Closes: #581058

applied/debian/squeeze 2010-10-07 21:20:37 UTC 2010-10-07
Import patches-applied version 1:1.4.1-5 to applied/debian/sid

Author: Sandro Tosi
Author Date: 2010-10-07 08:19:13 UTC

Import patches-applied version 1:1.4.1-5 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: cf3c3bc13fc1b76590b91c0e990cd6deb2c1ac8d
Unapplied parent: afd86129c24f5d0056bc37da62cae87683c3774c

New changelog entries:
  * debian/patches/10_use_local_python.org_object.inv_sphinx.diff
    - fixed small typo in description
  * debian/patches/changeset_r8364.diff
    - fix memory corruption (double free); thanks to Joseph Barillari for the
      report and to Michael Gilbert for pushing resolution; Closes: #581058

ubuntu/maverick-devel 2010-02-01 23:04:56 UTC 2010-02-01
Import patches-unapplied version 1:1.3.0-3build1 to ubuntu/lucid

Author: Matthias Klose
Author Date: 2010-02-01 22:05:35 UTC

Import patches-unapplied version 1:1.3.0-3build1 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 148671c714806bc88886eb967724112d6baa9f46

New changelog entries:
  * Rebuild dropping the extension for python2.5.

ubuntu/maverick 2010-02-01 23:04:56 UTC 2010-02-01
Import patches-unapplied version 1:1.3.0-3build1 to ubuntu/lucid

Author: Matthias Klose
Author Date: 2010-02-01 22:05:35 UTC

Import patches-unapplied version 1:1.3.0-3build1 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 148671c714806bc88886eb967724112d6baa9f46

New changelog entries:
  * Rebuild dropping the extension for python2.5.

ubuntu/lucid-devel 2010-02-01 23:04:56 UTC 2010-02-01
Import patches-unapplied version 1:1.3.0-3build1 to ubuntu/lucid

Author: Matthias Klose
Author Date: 2010-02-01 22:05:35 UTC

Import patches-unapplied version 1:1.3.0-3build1 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 148671c714806bc88886eb967724112d6baa9f46

New changelog entries:
  * Rebuild dropping the extension for python2.5.

ubuntu/lucid 2010-02-01 23:04:56 UTC 2010-02-01
Import patches-unapplied version 1:1.3.0-3build1 to ubuntu/lucid

Author: Matthias Klose
Author Date: 2010-02-01 22:05:35 UTC

Import patches-unapplied version 1:1.3.0-3build1 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: 148671c714806bc88886eb967724112d6baa9f46

New changelog entries:
  * Rebuild dropping the extension for python2.5.

ubuntu/karmic-devel 2009-09-09 22:16:23 UTC 2009-09-09
Import patches-unapplied version 1:1.3.0-3 to debian/sid

Author: Debian Python Modules Team
Author Date: 2009-08-26 19:20:56 UTC

Import patches-unapplied version 1:1.3.0-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c4f47787296a55f0e94f90f9719774618ef08bdb

New changelog entries:
  [ Kumar Appaiah ]
  * debian/patches/05_fix_endianness_detection.patch:
    Force endian.h usage in npy_endian.h. Thanks to Andreas Barth
    for bringing this to our notice. (Closes: #544291)
  [ Kumar Appaiah ]
  * Fix endianness detection. Closes: #543538.
  [ Matthias Klose ]
  * Do not directly depend on the versioned python2.x packages, but
    keep the versioned interpreter names in the f2py2.x scripts. If these
    are needed with this dependency, then we need a new python-numpy-f2py
    package, for build requirements, a build-dependency on python-all-dev
    should be enough. Closes: #543456.
  [ Kumar Appaiah ]
  * New upstream release.
    + Fix memory leak in exponentiation. (Closes: #505999)
  * debian/rules:
    + Use quilt instead of simple-patchsys.
    + Add sed magic to fix the f2py2.4 and f2py2.5
      to use the right interpreters.
    + debian/patches:
      - 01_fix_man_hyphens.patch: Removed; merged upstream.
      - 03_force_f2py_version.patch: Add to force generation
        f2py postfixed with interpreter version.
      - 04_fix_utils_deprecated.patch: Fix incorrect comma
        in utils.py. Patch from Yaroslav Halchenko (Closes: #519580)
  * debian/control:
    + Standards version is now 3.8.2 (no changes needed).
    + Remove myself from uploaders.
  [ Matthias Klose ]
  * Add debian/README.source.
  * Bump standards version to 3.8.3.
  * Fix section of the -dbg package.

ubuntu/karmic 2009-09-09 22:16:23 UTC 2009-09-09
Import patches-unapplied version 1:1.3.0-3 to debian/sid

Author: Debian Python Modules Team
Author Date: 2009-08-26 19:20:56 UTC

Import patches-unapplied version 1:1.3.0-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c4f47787296a55f0e94f90f9719774618ef08bdb

New changelog entries:
  [ Kumar Appaiah ]
  * debian/patches/05_fix_endianness_detection.patch:
    Force endian.h usage in npy_endian.h. Thanks to Andreas Barth
    for bringing this to our notice. (Closes: #544291)
  [ Kumar Appaiah ]
  * Fix endianness detection. Closes: #543538.
  [ Matthias Klose ]
  * Do not directly depend on the versioned python2.x packages, but
    keep the versioned interpreter names in the f2py2.x scripts. If these
    are needed with this dependency, then we need a new python-numpy-f2py
    package, for build requirements, a build-dependency on python-all-dev
    should be enough. Closes: #543456.
  [ Kumar Appaiah ]
  * New upstream release.
    + Fix memory leak in exponentiation. (Closes: #505999)
  * debian/rules:
    + Use quilt instead of simple-patchsys.
    + Add sed magic to fix the f2py2.4 and f2py2.5
      to use the right interpreters.
    + debian/patches:
      - 01_fix_man_hyphens.patch: Removed; merged upstream.
      - 03_force_f2py_version.patch: Add to force generation
        f2py postfixed with interpreter version.
      - 04_fix_utils_deprecated.patch: Fix incorrect comma
        in utils.py. Patch from Yaroslav Halchenko (Closes: #519580)
  * debian/control:
    + Standards version is now 3.8.2 (no changes needed).
    + Remove myself from uploaders.
  [ Matthias Klose ]
  * Add debian/README.source.
  * Bump standards version to 3.8.3.
  * Fix section of the -dbg package.

applied/debian/lenny 2009-09-05 13:09:28 UTC 2009-09-05
Import patches-applied version 1:1.1.0-3+lenny1 to applied/debian/lenny

Author: Kumar Appaiah
Author Date: 2009-07-29 12:36:45 UTC

Import patches-applied version 1:1.1.0-3+lenny1 to applied/debian/lenny

Imported using git-ubuntu import.

Changelog parent: cb8910c8cb05d933c8b16630d9fed40024e83e3f
Unapplied parent: 5cb58e0e7446a74b64abc1a728e75fcbecf11b7a

New changelog entries:
  * Fix incorrect cfunc.h symlink. (Closes: #538599)

debian/lenny 2009-09-05 13:09:28 UTC 2009-09-05
Import patches-unapplied version 1:1.1.0-3+lenny1 to debian/lenny

Author: Kumar Appaiah
Author Date: 2009-07-29 12:36:45 UTC

Import patches-unapplied version 1:1.1.0-3+lenny1 to debian/lenny

Imported using git-ubuntu import.

Changelog parent: 4bf279b13133d6172bea48b328b9df9436bfe4a9

New changelog entries:
  * Fix incorrect cfunc.h symlink. (Closes: #538599)

ubuntu/jaunty-devel 2009-02-21 20:04:54 UTC 2009-02-21
Import patches-unapplied version 1:1.2.1-1ubuntu1 to ubuntu/jaunty

Author: Matthias Klose
Author Date: 2009-02-21 19:04:51 UTC

Import patches-unapplied version 1:1.2.1-1ubuntu1 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 2ee96c17177e8c75f4077ee6b882071f3a765800

New changelog entries:
  * Build for python2.6

ubuntu/jaunty 2009-02-21 20:04:54 UTC 2009-02-21
Import patches-unapplied version 1:1.2.1-1ubuntu1 to ubuntu/jaunty

Author: Matthias Klose
Author Date: 2009-02-21 19:04:51 UTC

Import patches-unapplied version 1:1.2.1-1ubuntu1 to ubuntu/jaunty

Imported using git-ubuntu import.

Changelog parent: 2ee96c17177e8c75f4077ee6b882071f3a765800

New changelog entries:
  * Build for python2.6

ubuntu/intrepid-devel 2008-10-30 00:30:09 UTC 2008-10-30
Import patches-unapplied version 1:1.1.1-1 to debian/sid

Author: Ondrej Certik
Author Date: 2008-08-17 19:03:12 UTC

Import patches-unapplied version 1:1.1.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4bf279b13133d6172bea48b328b9df9436bfe4a9

New changelog entries:
  * New upstream release
  * quilt added to build-depends

ubuntu/intrepid 2008-10-30 00:30:09 UTC 2008-10-30
Import patches-unapplied version 1:1.1.1-1 to debian/sid

Author: Ondrej Certik
Author Date: 2008-08-17 19:03:12 UTC

Import patches-unapplied version 1:1.1.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 4bf279b13133d6172bea48b328b9df9436bfe4a9

New changelog entries:
  * New upstream release
  * quilt added to build-depends

ubuntu/hardy-devel 2008-04-15 13:03:42 UTC 2008-04-15
Import patches-unapplied version 1:1.0.4-6ubuntu3 to ubuntu/hardy

Author: Stefan Ebner
Author Date: 2008-04-12 11:44:18 UTC

Import patches-unapplied version 1:1.0.4-6ubuntu3 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 3d74a970b02629794bb4d00f3001d297092940e2

New changelog entries:
  * Fixed a missing parentheses in numpy/f2py/rules.py taken
    from Debian bug #475017 (LP: #216277).
  * Note: For Intrepid we can drop all remaining changes and make a sync.

ubuntu/hardy 2008-04-15 13:03:42 UTC 2008-04-15
Import patches-unapplied version 1:1.0.4-6ubuntu3 to ubuntu/hardy

Author: Stefan Ebner
Author Date: 2008-04-12 11:44:18 UTC

Import patches-unapplied version 1:1.0.4-6ubuntu3 to ubuntu/hardy

Imported using git-ubuntu import.

Changelog parent: 3d74a970b02629794bb4d00f3001d297092940e2

New changelog entries:
  * Fixed a missing parentheses in numpy/f2py/rules.py taken
    from Debian bug #475017 (LP: #216277).
  * Note: For Intrepid we can drop all remaining changes and make a sync.

ubuntu/gutsy 2007-08-03 07:03:29 UTC 2007-08-03
Import patches-unapplied version 1:1.0.3-1ubuntu2 to ubuntu/gutsy

Author: Scott Kitterman
Author Date: 2007-08-03 05:22:55 UTC

Import patches-unapplied version 1:1.0.3-1ubuntu2 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 421e0d93facba2145af4927bbed4f4334371744b

New changelog entries:
  * Remove redundant files from python-numpy to fix conflict with
    python-numpy-dev (LP: #130048)

ubuntu/gutsy-devel 2007-08-03 07:03:29 UTC 2007-08-03
Import patches-unapplied version 1:1.0.3-1ubuntu2 to ubuntu/gutsy

Author: Scott Kitterman
Author Date: 2007-08-03 05:22:55 UTC

Import patches-unapplied version 1:1.0.3-1ubuntu2 to ubuntu/gutsy

Imported using git-ubuntu import.

Changelog parent: 421e0d93facba2145af4927bbed4f4334371744b

New changelog entries:
  * Remove redundant files from python-numpy to fix conflict with
    python-numpy-dev (LP: #130048)

ubuntu/feisty 2007-04-08 13:03:16 UTC 2007-04-08
Import patches-unapplied version 1:1.0.1-8ubuntu1 to ubuntu/feisty

Author: Scott Kitterman
Author Date: 2007-04-08 02:32:25 UTC

Import patches-unapplied version 1:1.0.1-8ubuntu1 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: eed259277c8bb1d43ad209faca7a3797fd121926

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - Build the extension for the python debug interpreter.
    - Ubuntu maintainer address.
    - Bump debian/compat to 5 (Ubuntu diff previously present, but
      not documented).
  * Upload to unstable
  * Removed circular dependencies between pyhton-numpy and
    python-numpy-dev (Closes: 413160)
  * Build depends on gfortran instead of g77
  * Upload in unstable.
  * Re-added fftw3-dev as Build-Dep.
  * Moved f2py files back in python-numpy;
    python-numpy to depend on python-numpy-dev (closes: #410944)
  * Fix memory error in polymul. Closes: #410757.
  * Install additional f2py files. Closes: #410067.

ubuntu/feisty-devel 2007-04-08 13:03:16 UTC 2007-04-08
Import patches-unapplied version 1:1.0.1-8ubuntu1 to ubuntu/feisty

Author: Scott Kitterman
Author Date: 2007-04-08 02:32:25 UTC

Import patches-unapplied version 1:1.0.1-8ubuntu1 to ubuntu/feisty

Imported using git-ubuntu import.

Changelog parent: eed259277c8bb1d43ad209faca7a3797fd121926

New changelog entries:
  * Merge from debian unstable, remaining changes:
    - Build the extension for the python debug interpreter.
    - Ubuntu maintainer address.
    - Bump debian/compat to 5 (Ubuntu diff previously present, but
      not documented).
  * Upload to unstable
  * Removed circular dependencies between pyhton-numpy and
    python-numpy-dev (Closes: 413160)
  * Build depends on gfortran instead of g77
  * Upload in unstable.
  * Re-added fftw3-dev as Build-Dep.
  * Moved f2py files back in python-numpy;
    python-numpy to depend on python-numpy-dev (closes: #410944)
  * Fix memory error in polymul. Closes: #410757.
  * Install additional f2py files. Closes: #410067.

ubuntu/edgy-devel 2006-09-23 21:03:15 UTC 2006-09-23
Import patches-unapplied version 1:1.0rc1-0ubuntu1 to ubuntu/edgy

Author: William Alexander Grant
Author Date: 2006-09-20 22:05:07 UTC

Import patches-unapplied version 1:1.0rc1-0ubuntu1 to ubuntu/edgy

Imported using git-ubuntu import.

ubuntu/edgy 2006-09-23 21:03:15 UTC 2006-09-23
Import patches-unapplied version 1:1.0rc1-0ubuntu1 to ubuntu/edgy

Author: William Alexander Grant
Author Date: 2006-09-20 22:05:07 UTC

Import patches-unapplied version 1:1.0rc1-0ubuntu1 to ubuntu/edgy

Imported using git-ubuntu import.

applied/ubuntu/edgy 2006-07-13 01:08:11 UTC 2006-07-13
Import patches-applied version 1:0.9.8-2ubuntu1 to applied/ubuntu/edgy

Author: Matthias Klose
Author Date: 2006-07-12 10:00:24 UTC

Import patches-applied version 1:0.9.8-2ubuntu1 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Unapplied parent: 86e588415cd7f5535b710087d5c875a227ee6f66

applied/ubuntu/edgy-devel 2006-07-13 01:08:11 UTC 2006-07-13
Import patches-applied version 1:0.9.8-2ubuntu1 to applied/ubuntu/edgy

Author: Matthias Klose
Author Date: 2006-07-12 10:00:24 UTC

Import patches-applied version 1:0.9.8-2ubuntu1 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Unapplied parent: 86e588415cd7f5535b710087d5c875a227ee6f66

applied/ubuntu/devel 2006-07-13 01:08:11 UTC 2006-07-13
Import patches-applied version 1:0.9.8-2ubuntu1 to applied/ubuntu/edgy

Author: Matthias Klose
Author Date: 2006-07-12 10:00:24 UTC

Import patches-applied version 1:0.9.8-2ubuntu1 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Unapplied parent: 86e588415cd7f5535b710087d5c875a227ee6f66

188 of 88 results

Other repositories

Name Last Modified
lp:ubuntu/+source/python-numpy 2018-11-12
11 of 1 result
You can't create new repositories for python-numpy in Ubuntu.